Summary:       An event notification library
Name:          libevent
Version:       1.4.14b
Release:       1%{?dist}%{?pext}
License:       BSD
Group:         System Environment/Libraries
Source0:       http://monkey.org/~provos/%{name}-%{version}-stable.tar.gz
URL:           http://monkey.org/~provos/%{name}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Niels Provos <provos@citi.umich.edu>

%description
Libevent provides an API to execute a callback function when a specific
event occurs on a file descriptor or after a timeout has been reached.
Furthermore, it also support callbacks due to signals or regular timeouts.
It is meant to replace the event loop found in any event driven network
servers. Currently, it supports /dev/poll, kqueue, event ports, select,
poll and epoll.


%package       devel
Summary:       Development tools for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}
Requires:      python

%description   devel
The %{name}-devel package contains the static libraries and header files
for developing software using %{name}.


%prep
%setup -q -n %{name}-%{version}-stable


%build
%configure \
	--enable-shared \
	--enable-static

%{__make} %{?_smp_mflags}


%check
%{__make} verify


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/%{name}/sample

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

%{__install} -m 0644 sample/*.c ${RPM_BUILD_ROOT}%{_datadir}/%{name}/sample

%{__rm} -f ${RPM_BUILD_ROOT}%{_libdir}/lib*.so.?


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc ChangeLog README
%{_libdir}/%{name}-*.so.*
%{_libdir}/%{name}_core-*.so.*
%{_libdir}/%{name}_extra-*.so.*

%files devel
%defattr(-,root,root)
%{_bindir}/event_rpcgen.py*
%{_includedir}/event-config.h
%{_includedir}/event.h
%{_includedir}/evdns.h
%{_includedir}/evhttp.h
%{_includedir}/evrpc.h
%{_includedir}/evutil.h
%{_libdir}/%{name}.*a
%{_libdir}/%{name}.so
%{_libdir}/%{name}_core.*a
%{_libdir}/%{name}_core.so
%{_libdir}/%{name}_extra.*a
%{_libdir}/%{name}_extra.so
%{_datadir}/%{name}
%{_mandir}/man3/evdns.3*
%{_mandir}/man3/event.3*


%changelog
* Tue Jul 06 2010 Peter Pramberger <peterpramb@member.fsf.org> - 1.4.14b-1
- Upgrade version (1.4.14b)

* Sun Mar 23 2008 Peter Pramberger <peterpramb@member.fsf.org> - 1.3e-4
- Rewritten for buildsystem

* Tue Oct 09 2007 peter.pramberger@member.fsf.org 1.3e-3
- new version (1.3e)
- fixed library versioning

* Wed Sep 12 2007 peter.pramberger@member.fsf.org 1.3d-3
- new version (1.3d)

* Fri May 11 2007 peter.pramberger@member.fsf.org 1.3b-3
- new version (1.3b)

* Thu Jan 18 2007 peter.pramberger@member.fsf.org 1.2a-3
- new version (1.2a)

* Thu Sep 07 2006 peter.pramberger@member.fsf.org
- new version (1.1b)

* Wed Oct 26 2005 peter.pramberger@member.fsf.org
- created
